gi-vte-2.91.31: Vte bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.Vte.Functions

Contents

- Methods
  - eventContextGetType
  - getEncodingSupported
  - getEncodings
  - getFeatureFlags
  - getFeatures
  - getMajorVersion
  - getMicroVersion
  - getMinorVersion
  - getUserShell

Description

Synopsis

- eventContextGetType :: (HasCallStack, MonadIO m) => m GType
- getEncodingSupported :: (HasCallStack, MonadIO m) => Text -> m Bool
- getEncodings :: (HasCallStack, MonadIO m) => Bool -> m [Text]
- getFeatureFlags :: (HasCallStack, MonadIO m) => m [FeatureFlags]
- getFeatures :: (HasCallStack, MonadIO m) => m Text
- getMajorVersion :: (HasCallStack, MonadIO m) => m Word32
- getMicroVersion :: (HasCallStack, MonadIO m) => m Word32
- getMinorVersion :: (HasCallStack, MonadIO m) => m Word32
- getUserShell :: (HasCallStack, MonadIO m) => m [Char]

# Methods

## eventContextGetType

eventContextGetType :: (HasCallStack, MonadIO m) => m GType Source #

No description available in the introspection data.

## getEncodingSupported

getEncodingSupported Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> Text | `encoding`: the name of the legacy encoding
-> m Bool | Returns: `True` iff the legacy encoding `encoding` is supported

Deprecated: (Since version 0.60)

Queries whether the legacy encoding `encoding` is supported.

If ICU support is not available, this function always returns `False`.

Note that UTF-8 is always supported; you can select it by passing `Nothing` to `terminalSetEncoding`.

Since: 0.60

## getEncodings

getEncodings Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> Bool | `includeAliases`: whether to include alias names
-> m [Text] | Returns: the list of supported encodings; free with `strfreev`

Deprecated: (Since version 0.60)

Gets the list of supported legacy encodings.

If ICU support is not available, this returns an empty vector. Note that UTF-8 is always supported; you can select it by passing `Nothing` to `terminalSetEncoding`.

Since: 0.60

## getFeatureFlags

getFeatureFlags Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m [FeatureFlags] | Returns: flags from `FeatureFlags`

Gets features VTE was compiled with.

Since: 0.62

## getFeatures

getFeatures Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m Text | Returns: a string with features

Gets a list of features vte was compiled with.

Since: 0.40

## getMajorVersion

getMajorVersion Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m Word32 | Returns: the major version

Returns the major version of the VTE library at runtime. Contrast this with `MAJOR_VERSION` which represents the version of the VTE library that the code was compiled with.

Since: 0.40

## getMicroVersion

getMicroVersion Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m Word32 | Returns: the micro version

Returns the micro version of the VTE library at runtime. Contrast this with `MICRO_VERSION` which represents the version of the VTE library that the code was compiled with.

Since: 0.40

## getMinorVersion

getMinorVersion Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m Word32 | Returns: the minor version

Returns the minor version of the VTE library at runtime. Contrast this with `MINOR_VERSION` which represents the version of the VTE library that the code was compiled with.

Since: 0.40

## getUserShell

getUserShell Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m [Char] | Returns: a newly allocated string with the user's shell, or `Nothing`

Gets the user's shell, or `Nothing`. In the latter case, the system default (usually "/bin/sh") should be used.